Get Top Traders Aggregation
curl --request GET \
--url https://testnet.derivadex.io/stats/api/v1/aggregations/tradersimport requests
url = "https://testnet.derivadex.io/stats/api/v1/aggregations/traders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/stats/api/v1/aggregations/traders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/stats/api/v1/aggregations/traders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/stats/api/v1/aggregations/traders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/stats/api/v1/aggregations/traders")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/stats/api/v1/aggregations/traders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"value": [
{
"trader": "0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d",
"volume": "18026.42",
"realizedPnl": "173.10",
"accountValue": "5600"
}
],
"nextCursor": 100,
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Market
Get Top Traders Aggregation
Returns the top N traders by volume
GET
/
stats
/
api
/
v1
/
aggregations
/
traders
Get Top Traders Aggregation
curl --request GET \
--url https://testnet.derivadex.io/stats/api/v1/aggregations/tradersimport requests
url = "https://testnet.derivadex.io/stats/api/v1/aggregations/traders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/stats/api/v1/aggregations/traders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/stats/api/v1/aggregations/traders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/stats/api/v1/aggregations/traders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/stats/api/v1/aggregations/traders")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/stats/api/v1/aggregations/traders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"value": [
{
"trader": "0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d",
"volume": "18026.42",
"realizedPnl": "173.10",
"accountValue": "5600"
}
],
"nextCursor": 100,
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Query Parameters
The trader address, with the discriminant prefix.
The number of rows to return
The cursor for the beginning of the next page of top traders to fetch.
The order by which to fetch top traders.
Available options:
volume, pnl, accountValue The ordering of the results.
Available options:
asc, desc Response
Top Traders data
Successful response for the TopTraders API
The value of the response
Show child attributes
Show child attributes
The cursor for the beginning of the next page of top traders to fetch.
Examples:
100
null
Whether the request was successful
The timestamp of the response
Example:
1673031089
Last modified on June 23, 2026